# $Id: daily.swatch.config,v 1.36 2014/02/25 20:51:06 timc Exp $

# Munge output of what-apply looking for goodness/badness

########
# Premptive strikes -- report this stuff

watchfor /file \/lib\/libcrypto.so.0.9.7a from install of openssl-0.9.7a-20.2 conflicts with file from package openssl-0.9.7a-20.2/
        echo = Normal

watchfor /package \S+ is already installed/
	echo = Normal

watchfor /gedit-devel/
	echo = Normal

watchfor /libdb\.so\.2 is needed by/
	echo = Normal

########
# End of pre-emptive strikes
########

# Class headers
ignore /^Applying (Data|Rpms|Files|Inetd|Inittab|Initlinks|Install|IPTables|Rsyslog|Syslog|Grub|Crontab|Sysctl|Triggers)\.\.\.$/

########
# RPMs section ignores

ignore /^\/s\/what-.*\/depend\/rpm --oldpackage/
ignore /^\/var\/tmp\/rpm-tmp./
ignore /^\/s\/what-.*\/depend\/rpm -e /
# Don't alert before installing a signing key
ignore /^\/s\/what\/xml\/groups\/gpg-pubkeys\/gpg-pubkey-.+-.+.none.rpm: not an rpm package \(or package manifest\):/
ignore /^warning: user mockbuild does not exist - using root/
ignore /^Using database directory \/etc\/pki\/nssdb\.\.\.$/
ignore /^Module \"CoolKey PKCS .11 Module\" deleted from database.$/

########
# Nvidia messages
ignore /^modprobe: Can't locate module nvidia/
ignore /^Failed to install nvidia.o/
ignore /^error: \%post\(NVIDIA_kernel.*scriptlet failed, exit status 1/
ignore /\/lib\/modules\/.*kernel\/drivers\/video\/nvidia.o: /
ignore /^Module nvidia loaded, with warnings$/
ignore /^nvidia.o installed successfully$/
ignore /^Warning: loading \/lib\/modules\/.*\/kernel\/drivers\/video\/nvidia.o will taint the kernel: non-GPL license - NVIDIA$/
ignore /^Warning: loading \/lib\/modules\/.*\/video\/nvidia.o will taint the kernel: non-GPL license - NVIDIA$/
ignore /^\s*See http\:\/\/www.tux.org\/lkml\/.export-tainted for information about tainted modules$/
ignore /^\/lib\/modules\/.*\/video\/nvidia.o: init_module: No such device$/
ignore /^\/lib\/modules\/.*\/video\/nvidia.o: insmod \/lib\/modules\/.*\/video\/nvidia.o failed$/
ignore /^\/lib\/modules\/.*\/video\/nvidia.o: insmod nvidia failed$/
ignore /^FATAL: Error inserting nvidia \(\/lib\/modules\//
ignore /^\s*libglx.a/
ignore /^\s*libGLcore.a/
ignore /^\s*libGL.a/
ignore /^Unable to remove existing NVIDIA kernel module.$/
ignore /^Please be sure you have exited X before attempting$/
ignore /^to install the NVIDIA_kernel rpm.$/

# Failed RPM dependencies
ignore /^error: Failed dependencies:/
ignore /^\s+\S+ is needed by /
ignore /^\s+\S+\s+(\>|\>\=|=|\<|\<\=)\s+\S+ is needed by /
ignore /^\s+\S+\s+(\>|\>\=|=|\<|\<\=)\s+\S+ is needed by \(installed\) /

# Failed insmod/modprobe errors
ignore /Hint: insmod errors can be caused by incorrect module parameters, including invalid IO or IRQ parameters\.$/
ignore /^\s*You may find more information in syslog or the output from dmesg$/

# Gnome package output
ignore /^Installed schema \`\/schemas\//
ignore /^Attached schema \`\/schemas\//
ignore /^OMF file \[.*\.omf] does not validate against ScrollKeeper-OMF DTD: .*omf.dtd/
ignore /^Unable to register .*\.omf/
ignore /^WARNING: Failed to parse default value.*for schema /

# More misc
ignore /^warning:\s+.* (created|saved) as /
ignore /warning: failed to load external entity \".*"$/

ignore /:\d+: error: Failure to process entity /
ignore /:\d+: error: Entity \'.*\' not defined$/
ignore /^\s+\&analysis-(goalseek;|scenarios;)$/
ignore /^\s+\^\s*$/
ignore /Document is not well-formed XML: \/usr\/share\/gnumeric\/1.1.20-bonobo\/gnome\/help\/gnumeric\/C\/gnumeric.xml$/
ignore /^\/usr\/sbin\/build-locale-archive\: incomplete set of locale files in/

# MESA goo
ignore /--- WARNING\!\!/
ignore /--- The above file\(s\) possibly belong to a conflicting MESA rpm,/
ignore /--- or to a previous stale NVIDIA distribution./
ignore /--- They have been renamed to xxx\.\<originalFile\>\.RPMSAVE to/
ignore /--- avoid conflicting with the files contained within this/
ignore /--- package\./
ignore /--- Please see the FREQUENTLY ASKED QUESTIONS section of/
ignore /--- \/usr\/share\/doc\/NVIDIA_GLX-1.0\/README for more details\./
ignore /^\s+libGL\.so\.\S+/

# gdk-pixbuf-loaders crap
ignore /^\/usr\/bin\/update-gdk-pixbuf-loaders:\s*\/etc\/gtk-2.0\/i386-redhat-linux-gnu\/gdk-pixbuf.loaders: No such file or directory/
ignore /error: \%post(un)?\(libwmf/

########
# ntpd
ignore /^(Shutting down|Starting) ntpd:\s*ntpd\s*$/
ignore /^ntpd: Synchronizing with time server:\s*$/

########
# Files class messages

ignore /^ln -s /
ignore /^ln \//
ignore /^cp \//
ignore /^chmod \d+ \//
ignore /^utime mtime=/
ignore /^mv \//
ignore /^rm (-fr\s*)?\//
ignore /^rmdir \//
ignore /^chgrp \S+ \//
ignore /^mkdir \//
ignore /^chown\s+\S+\s+\//
ignore /^touch \//
ignore /^create \//

# Error messages
ignore /^Can't open \/var\/run\/atd.pid to signal atd. No atd running\?$/
ignore /^mkdir: cannot create directory \`.*\': No such file or directory$/
ignore /^chown: failed to get attributes of \`.*\': No such file or directory$/

# SSL
ignore /^Can\'t open source file \/s\/openssl-\S+\/certs\/host\/\S+\/(public\/cert|readonly\/key)\.pem for copy\!/

########
# Trigger messages
ignore /\/etc\/rc.d\/init.d\/\S+ (stop|start|reload)$/
ignore /^warning: commands will be executed using \(in order\) a\) \$SHELL b\) login shell c\) \/bin\/sh$/
ignore /^job \d+ at \d\d\d\d-\d\d-\d\d \d\d:\d\d$/

# Printing messages
ignore /^lpd server pid \d+ on \S+, sending SIGHUP$/
ignore /^Printer \'.*\' - cannot open connection - No such file or directory$/
ignore /^Make sure the remote host supports the LPD protocol$/
ignore /^Shutting down lpd server$/
ignore /^Printer '\S+' - cannot open connection - Connection refused$/

ignore /^\/s\/lab\/bin\/make_passwd$/
ignore /^\/s\/lab\/bin\/make_passwd -h /
ignore /^\/s\/lab\/bin\/make_passwd --useldap/

# inittab replacements
ignore /^Replacing \/etc\/inittab$/

# sysctl and other replacements
ignore /^Replacing \/etc\/sysctl.conf$/
ignore /^kernel.core_uses_pid = 1$/
ignore /^kernel.sysrq = \d$/
ignore /^net.ipv4.conf.default.rp_filter = 1$/
ignore /^net.ipv4.ip_forward = (0|1)$/
ignore /^kernel.shmmax = \d+$/
ignore /^dev.rtc.max-user-freq = \d+$/

# mkinitrd/Grub messages
ignore /^\/s\/what-\S+\/depend\/mkinitrd \/boot\/initrd-2\./
ignore /^Replacing \/boot\/grub\/grub.conf$/
ignore /^Removing \/boot\/initrd\*.img.  DO NOT interrupt or reboot until they are remade/
ignore /^rm: cannot remove `\/boot\/initrd\*.img': No such file or directory/

# Sendmail messages
ignore /^(Starting|Shutting down)\s*sendmail:\s*(sendmail|sendmail server|\[\s*FAILED\s*\]|\[\s*OK\s*\]|cannot determine current run level)?\s*$/

ignore /^(Shutting down|Starting) sm-(old)?(client|queuerunner):\s*(\[  OK  \])?/

ignore /^Running newaliases and rebuilding maps:$/
ignore /^(C|c)hecking if dns (system )?is reachable:$/
ignore /^remaking global aliases:$/
ignore /^sendmail queue runner$/
ignore /^\s*sendmail\s*$/
ignore /Can\'t open source file \/s\/sendmail-8.13\/what\/etc\/mail\/masquerade-exceptions/

########
# Opensshd messages
ignore /^\/s\/krb5-.*\/sbin\/reporthostkey -f \/var\/adm\/openssh\/ssh_host\S*_key.pub$/
ignore /^can\'t open \/var\/adm\/openssh\/ssh_host_\S*key\.pub at \/s\/krb5\/sbin\/checkhostkey line \d+\.$/
ignore /^sshd started$/

# Apache messages
ignore /^\/etc\/rc.d\/init.d\/httpd restart$/
ignore /^httpd (stopping|starting).$/
ignore /^waiting for old pid file removal$/
ignore /^\/s\/apache-\S+\/bin\/apachectl startssl: httpd started$/
ignore /^Using Killall to remove http files$/
ignore /^\/s\/apache-\S+\/bin\/apachectl start: httpd started$/
ignore /^(Starting|Stopping) httpd:/
ignore /^Running  \/s\/lab\/bin\/runkeytab -f -l 49h -k \/etc\/httpd\/krb5kt/
ignore /^Running \/usr\/sbin\/httpd/
ignore /^warning: group apache does not exist - using root/
# shared memory debugging
ignore /^Running \/usr\/bin\/ipcs for debugging:/
ignore /^------ Semaphore Arrays --------/
ignore /^key\s+semid\s+owner\s+perms\s+nsems/
ignore /^------ Shared Memory Segments --------/
ignore /^key\s+shmid\s+owner\s+perms\s+bytes\s+nattch\s+status/
ignore /^Running \/usr\/csl\/sbin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /^Running \/s\/httpd-server-2.2.25\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /^Running \/s\/httpd-server-2.2.26\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /^Running \/s\/httpd-server-2.2.27\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /^Running \/s\/httpd-server-2.2.28\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /^Running \/s\/httpd-server-2.2.29\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /^Running \/s\/httpd-server-2.2.30\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /munkiweb \/s\/httpd-server-2.2.25\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /munkiweb \/s\/httpd-server-2.2.26\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /munkiweb \/s\/httpd-server-2.2.27\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /munkiweb \/s\/httpd-server-2.2.28\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /munkiweb \/s\/httpd-server-2.2.29\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/
ignore /munkiweb \/s\/httpd-server-2.2.30\/bin\/httpd -f \/etc\/httpd\/conf.d\/core-csl.conf/

# Cricket local collector
ignore /^\/s\/httpd-server-.*\/i386_.*\/bin\/httpd -f/
ignore /^\/s\/cricket\/what\/cricket-workstation\/httpd.conf -k stop/
ignore /httpd \(no pid file\) not running/
ignore /^\/s\/httpd-server\/bin\/httpd -f \/s\/cricket\/what\/cricket-workstation\/httpd.conf -k stop/
ignore /\(this web client starts on port \d+\)/

########
# xfs (font server)
ignore /Shutting down xfs:/
ignore /Starting xfs: rm: cannot remove \`fonts.dir\': Read-only file system/
ignore /Could not open output file fonts.scale/
ignore /rm: cannot remove \`fonts.dir\': Read-only file system/
ignore /\[ OK \]/
ignore /^\s*xfs\s*$/

########
# XFS (file system -- NOT font server) buggy RPMs
ignore /^warning: (user|group) (502|503|buildsvn) does not exist - using root$/
ignore /^\043+$/
ignore /^\043                                                             \043$/
ignore /^\043                        NOTICE                               \043$/
ignore /^\043 This xfs module rpm is reasonably tested, but problems may  \043$/
ignore /^\043 still exist.  In particular, you may have issues with the   \043$/
ignore /^\043 4KSTACKS option on CentOS-4 ia32 kernels, depending on your \043$/
ignore /^\043 IO hardware, layering, nfs usage, etc.                      \043$/
ignore /^\043 You may report issues to the linux-xfs\@oss.sgi.com list,    \043$/
ignore /^\043 to the packager, Eric Sandeen \<sandeen-centos\@sandeen.net\>, \043$/
ignore /^\043 or to the CentOS bugs database at http:\/\/bugs.centos.org\/   \043$/
ignore /^\043            \(Please also report successes\!\)                  \043$/

########
# Inetd class messages
ignore /^Reloading configuration: (\s*[FAILED]\s*)?$/
ignore /^Reloading configuration: (\s*[FAILED]\s*)?/
ignore /^Replacing \/etc\/xinetd.conf$/

########
# Syslog class messages

ignore /^Shutting down kernel logger:\s*(klogd\s*|\[\s*OK\s*\].*)?$/
ignore /^Shutting down system logger:\s*(syslogd\s*|\[\s*OK\s*\].*)?$/
ignore /^Starting kernel logger:\s*(klogd\s*|\[\s*OK\s*\].*)?$/
ignore /^Starting system logger:\s*(syslogd\s*|\[\s*OK\s*\].*)?$/
ignore /^Replacing \/etc\/syslog.conf$/
ignore /^Replacing \/etc\/logrotate.d\/syslog$/
ignore /^Replacing \/etc\/logrotate.d\/rsyslog$/

########
# syslog-ng
ignore /^Reloading syslog-ng.conf file: \[  OK  \]/

# CUPS start/stop messages
ignore /^(Stopping|Starting) cups: .*/
ignore /^\/etc\/rc.d\/init.d\/cups restart$/
ignore /^Copying \/s\/cups/

########
# Crontab section ignores
ignore /^Replacing \/var\/spool\/cron\//

########
# krb crap
ignore /^kdestroy: No credentials cache found while destroying/

########
# printers are one big cf
ignore /^Removing printers.conf/
ignore /^Copying \/s\/what\/xml\/hosts\/.*.cs.wisc.edu\/printers.conf to \/etc\/cups\/printers.conf/


########
# Ignore special errors for opteron/s0 cluster hosts

ignore /^glibc-.*\(x86_64\) verified/
ignore /^Can\'t find xml file for \/s\/nagios\/what\/Monitor-cluster-amd64_tao10...Sorry$/
ignore /^Can\'t find xml file for \/s\/krb5\/what\/k5login\/k5login-S0CLUSTER...Sorry$/

########
# Ignore alsa sound configuration messages

ignore /^Verifying alsa sound control devices$/

########
# Ignore messages about hardware configuration updates

ignore /^updating \/afs\/\.cs\/p\/lab\/hostdir\/hosts\/.*\/public\/hardware.xml ...Done./

########
# ups deamon

ignore /^Starting ups daemon/

########
# Because Parter refused to fix his bugs

ignore /^Can\'t exec \"\/s\/imaputils\/sbin\/mkspools\"/

########
# ignore this crap
ignore /^compiling sieve includes.../
ignore /^compiling sieve includes.../
ignore /^make: Nothing to be done for \`all\'./
ignore /\[  OK  \]/

########
# vmware

ignore /(Stopping|Starting)\s+VMware\s+(services:|virtual machines)/
ignore /^\s*Virtual machine monitor/
ignore /^\s*DHCP server on \/dev\/vmnet/
ignore /^\s*Host-only networking on \/dev\/vmnet/
ignore /^\s*Virtual ethernet/
ignore /^\s*Configuring fallback GTK+ 2.4 libraries./
ignore /The configuration of VMware Server Console completed successfully./
ignore /Reconfigure\/rebuild vmware modules/


########
# samba

ignore /^(Shutting down|Starting)\s+(SMB|NMB)\s+services:\s*(smbd|nmbd)?/

########
# iptables

ignore /^Replacing \/etc\/sysconfig\/iptables/
ignore /^\/etc\/rc.d\/init.d\/iptables condrestart/
ignore /^Flushing firewall rules: /
ignore /^Setting chains to policy ACCEPT: nat filter/
ignore /^Unloading iptables modules:/
ignore /^Applying iptables firewall rules: /
ignore /^Setting chains to policy ACCEPT: /
ignore /^Loading additional iptables modules: ip_conntrack_netbios_ns/

########
# netdump

ignore /^(disabling|initializing)\s+(netdump|netconsole)\s+\[\s+OK\s+\]/

########
# signatures of packages we know
#flash
ignore /^warning:*key ID f6777c67*/
#chrome
ignore /^warning:*key ID 7fac5991*/

########
# Now (finally) show what's left
watchfor /./
        echo = Normal


